Enspace
  1. Schedule Tasks
Enspace
  • Introduction
  • Authentication
  • Concepts
  • First Steps
  • Workspaces
    • Types
      • Fields
        • List Fields
        • Create Field
        • Get Field
        • Field Updated
        • Delete Field
      • Items
        • List Items
        • Create Item
        • Count Items
        • Get Item
        • Update Item
        • Delete item
      • Flows
        • Stages
          • Tasks
            • List Tasks
            • Get specific Task
            • New Task
          • List Stages
          • Get specific Stage
        • List Flows
        • Get specific Flow
      • Forms
        • List Form
        • Get specific Form
        • List Form Create
      • List Types
      • Count Types
      • Get specific Type
      • Create Type
      • Update Type
      • Delete Type
    • Members
      • List Members
      • Count Members
      • Get Member
      • New Member
      • Update Member
      • Remove Member
    • Roles
      • List roles
      • Create role
      • Count roles
      • Get specific role
      • Update role
      • Delete role
      • List Role Permissions
      • Add Permission to Role
      • Remove Role Permission
    • Member Groups
      • List groups
      • New group
      • Get group
      • Update group
      • Delete group
      • Add Users
      • Remove Users
    • Quick Tasks
      • List Quick Tasks
      • Count Quick Tasks
      • Get Quick Task
      • Delete Quick Task
      • Update Quick Task
      • New Quick Task
    • Integrations
      • CertiSign Integration
      • Docusign Integration
      • D4Sign Integration
      • Clicksign Integration
      • Adobe Sign Integration
      • Integration
      • New Integration
    • Schedule Tasks
      • List Schedule Tasks
        GET
      • Get specify Schedule Task
        GET
    • List Workspaces
      GET
    • Workspace Context
      GET
    • New Workspace
      POST
    • Leave the workspace
      POST
    • Workspace Statistics
      GET
    • Workspace Deletion Preview
      GET
    • Delete Workspace
      DELETE
  • User
    • Request Log
      GET
    • List API Keys
      GET
  • Schemas
    • Schemas
      • Members
        • MemberUpdate
        • MemberCreate
        • Member
      • Roles
        • Role
        • RoleCreate
        • RoleUpdate
      • MemberGroups
        • MemberGroup
        • MemberGroupCreate
        • MemberGroupUpdate
      • Types
        • Type
        • TypeInput
        • TypeDetail
      • Items
        • Item
        • ItemInput
      • Workspace
        • WorkspaceContext
        • WorkspaceStats
        • Workspace
        • WorkspaceCreate
        • WorkspaceUpdate
      • Tasks
        • Tasks
      • Flow
        • Flow
      • Stages
        • Stage
      • Forms
        • Forms
      • Integrations
        • Integrations
      • User
      • RequestLog
      • UserApiKey
      • SuccessResponse
      • ErrorResponse
      • Field
      • FieldInput
      • Permission
      • PermissionInput
      • Error
    • Response
      • BadRequest
      • Unauthorized
      • Forbidden
      • NotFound
      • ServerError
  1. Schedule Tasks

Get specify Schedule Task

Developing
Develop Env
https://api-develop.enspace.io
Develop Env
https://api-develop.enspace.io
GET
https://api-develop.enspace.io
/c-flow-item-tasks/{id}
Maintainer:Julio Cordeiro

Retrieves the details of a specific scheduled task.#

This endpoint returns information about a scheduled task, including its execution status, related flow item, task logs, and the associated item data used in the flow.
INFO
The response includes the task execution details, related flow item information, and the associated item data used during the flow execution.
TIP
Use this endpoint to retrieve detailed information about a specific scheduled task and its execution history.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
API Key
Add parameter in header
en-workspace
Example:
en-workspace: ********************
or
Path Params

Query Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api-develop.enspace.io/c-flow-item-tasks/89189 ?__relations=flow_item.item,assigned,external_task' \
--header 'x-api-key: <api-key>' \
--header 'en-workspace: <api-key>'
Response Response Example
{
    "id": 0,
    "status": "string",
    "task": 0,
    "work_status": "string",
    "type": "string",
    "item_reference": "string",
    "due_date": "2019-08-24T14:15:22.123Z",
    "priority": "string",
    "created_at": "2019-08-24T14:15:22.123Z",
    "updated_at": "2019-08-24T14:15:22.123Z",
    "task_name": "string",
    "task_action_slug": "string",
    "flow_name": "string",
    "stage_name": "string",
    "item_type_name": "string",
    "responsibility_type": "string",
    "unified_responsible": "string",
    "flow_item": {
        "id": 0,
        "flow": 0,
        "stage": 0,
        "status": "string",
        "run_status": "string",
        "created_at": "2019-08-24T14:15:22.123Z",
        "updated_at": "2019-08-24T14:15:22.123Z",
        "item": {
            "id": 0,
            "reference": "string",
            "user": 0,
            "status": "string",
            "type": 0,
            "request_email": "string",
            "form": 0,
            "counter": 0,
            "data": {},
            "created_at": "2019-08-24T14:15:22.123Z",
            "updated_at": "2019-08-24T14:15:22.123Z"
        }
    },
    "task_log": [
        {
            "email": "string",
            "created_at": "2019-08-24T14:15:22.123Z",
            "work_status": "string"
        }
    ]
}
Previous
List Schedule Tasks
Next
List Workspaces
Built with